Repositories help!

Hi!

I’m new with OpenSuse. Installed 11.2 yesterday, and I really like it so far.

But I have some problems understanding the repositories. I added packman manually since some guide here told me to. I also installed Kmess with a one click thingy.I just checked my repositories and it’s a mess. I even have some saying 11.1, but I’m on 11.2! What’s up with that? Can it ruin my system?

URL: Index of /repositories/KDE:/43/openSUSE_11.1
URL: Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE_43

Also, I really want to update Amarok to 2.2, but I can’t figure out how. Found this, but I’m a bit sceptical since the repo mentioned there contains so much more than just Amarok.I don’t want my entire system to be bleeding edge.

Thanks! :slight_smile:

WHy not just delete those 11.1 repos and add 11.2 repos? I also added a few older 11.1 repos for a few apps which had not been ported to 11.2 yet but as long as you keep these repos disabled after installation I don’t think it will cause much trouble.

Please do this in a terminal and post result

zypper lr -d

I’m assuming that http://download.opensuse.org/repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE_43/ repository was added when you installed Kmess. You must remember that software on http://software.opensuse.org/search/ is available also for older openSUSE releases. Search for and install packages only for openSUSE 11.2.

By default YaST adds repository of one click install packages to the list of active repositories.

[QUOTE=caf4926;2066180]Please do this in a terminal and post result

zypper lr -d

[/QUOTE]

         | Service                                                            

—±---------------------±----------------------±--------±--------±---------±-------±-------------------------------------------------------------------------------------±-------
1 | KDE:43 | KDE:43 | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/43/openSUSE_11.1 |
2 | KDE:KDE4:Community | KDE:KDE4:Community | Yes | Yes | 99 | rpm-md | Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE_43 |
3 | Nvidia | Nvidia | Yes | Yes | 99 | rpm-md | ftp://download.nvidia.com/opensuse/11.2/ |
4 | devel:tools:building | devel:tools:building | Yes | Yes | 99 | rpm-md | Index of /repositories/devel:/tools:/building/openSUSE_11.1 |
5 | packman | packman | Yes | Yes | 90 | rpm-md | Index of /suse/11.2 |
6 | repo-debug | openSUSE-11.2-Debug | No | Yes | 99 | NONE | Index of /debug/distribution/11.2/repo/oss |
7 | repo-non-oss | openSUSE-11.2-Non-Oss | Yes | Yes | 120 | yast2 | Index of /distribution/11.2/repo/non-oss |
8 | repo-oss | openSUSE-11.2-Oss | Yes | Yes | 120 | yast2 | Index of /distribution/11.2/repo/oss |
9 | repo-source | openSUSE-11.2-Source | No | Yes | 99 | NONE | Index of /source/distribution/11.2/repo/oss |
10 | repo-update | openSUSE-11.2-Update | Yes | Yes | 99 | rpm-md | Index of /update/11.2 |

**marbpl: **Probably, but it didn’t say anything about which version of Suse the package was for.

In su terminal do

zypper rr 4

then

zypper rr 1

Or you can do it in Yast
Software Repositories

linux-nvk4:/home/erlend # zypper rr 4
Removing repository ‘devel:tools:building’ [done]
Repository ‘devel:tools:building’ has been removed.
linux-nvk4:/home/erlend # zypper rr 1
Removing repository ‘KDE:43’ [done]
Repository ‘KDE:43’ has been removed.

That’s it then? I still got this:
URL: Index of /repositories/KDE:/KDE4:/Community/openSUSE_11.1_KDE_43

Thanks! :slight_smile:

Edit: Oh, and what about my Amarok question?